"use strict";
/* eslint-disable valid-jsdoc */
/**
 * penguins-eggs-v7
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const shelljs_1 = tslib_1.__importDefault(require("shelljs"));
const pjson = require('../../package.json');
/**
 * Utils: general porpourse utils
 * @remarks all the utilities
 */
class Utils {
    /**
    * machineArch
    * arm-efi, arm64-efi,
    * grub-mkimage -O aarch64-efi -m memdisk -o bootx64.efi -p '(memdisk)/boot/grub' search iso9660 configfile normal memdisk tar cat part_msdos part_gpt fat ext2 ntfs ntfscomp hfsplus chain boot linux
   unknown target format aarch64-efi
    * @returns arch
    */
    static machineArch() {
        let arch = '';
        if (process.arch === 'x64') {
            arch = 'amd64';
        }
        else if (process.arch === 'ia32') {
            arch = 'i386';
            // ma, se è installato node386 come in rasberry-desktop...
            if (shelljs_1.default.exec('uname -m', { silent: true }).stdout.trim() === 'x86_64') {
                arch = 'amd64';
            }
        }
        else if (process.arch === 'arm64') {
            arch = 'arm64';
        }
        else if (process.arch === 'arm') {
            arch = 'armel';
        }
        return arch;
    }
    /**
     * machineUEFI
     * @returns machineArch
     */
    static machineUEFI() {
        // grub-mkimage vuole: i386-efi, x86_64-efi, arm-efi, arm64-efi,
        let machineArch = this.machineArch();
        if (machineArch === 'amd64') {
            machineArch = 'x86_64';
        }
        else if (machineArch === 'armel') {
            machineArch = 'arm';
        }
        return machineArch + '-efi';
    }
    /**
     *
     * @param command
     */
    static titles(command = '') {
        console.clear();
        // font: console, block, simpleBlock, simple, 3d, simple3d, chrome, huge, shade, slick, grid, pallet, tiny
        // cfonts.say('Perri\'s brewery', { font: 'tiny' })
        console.log('===========================');
        console.log('>>> P E R R I\'s brewery <<<');
        console.log('===========================');
        console.log(chalk_1.default.bgGreen.whiteBright('      ' + pjson.name + '      ') +
            chalk_1.default.bgWhite.blue("  man & scripts in .deb  ") +
            chalk_1.default.bgRed.whiteBright('       ver. ' + pjson.version + '       '));
        console.log('command: ' + chalk_1.default.bgBlack.white(command) + '\n');
    }
    /**
    *
    * @param verbose
    */
    static setEcho(verbose = false) {
        let echo = { echo: false, ignore: true };
        if (verbose) {
            echo = { echo: true, ignore: false };
        }
        return echo;
    }
}
exports.default = Utils;
